﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using C1.Web.UI.Controls.C1ToolBar;
using C1.Web.UI.Controls.C1ComboBox;
using System.Data;
using C1.Web.UI.Controls.C1TreeView;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        C1ToolBar toolbar = new C1ToolBar();
        C1ToolBarButton btn = new C1ToolBarButton();
        btn.Text = "ToolbarButton";
        btn.ID = "button1";
        btn.Attributes.Add("runat", "server");
        toolbar.Items.Add(btn);
        C1ToolBarDropDownList ddl = new C1ToolBarDropDownList();
        ddl.ItemTemplate = new EditTemplate("C1ComboBox1");
        toolbar.Items.Add(ddl);
        this.PlaceHolder1.Controls.Add(toolbar);
    }
    
    private class EditTemplate : ITemplate
    {
        string ID;
        public EditTemplate(string id)
        {
            this.ID = id;
        }
        public void InstantiateIn(Control container)
        {
            C1ComboBox combobox = new C1ComboBox();
            combobox.ID = ID;
            combobox.EmptyText = "Select";
            combobox.DropDownPositioningMode = PositioningMode.Center;
            combobox.Enabled = true;
            combobox.AutoPostBack = true;
            combobox.TemplateItemHighlighted = true;
            combobox.WindowCollisionDetection = true;
            C1ComboBoxItem item; //= new C1ComboBoxItem();
            for (int i = 1; i < 100; i++)
            {
                item = new C1ComboBoxItem();
                item.Text = i.ToString();
                item.Value = i.ToString();
                combobox.Items.Add(item);
            }            
            combobox.SelectedIndexChanged += new C1ComboBoxEventHandler(combobox_SelectedIndexChanged);
            container.Controls.Add(combobox);
        } 

        void combobox_SelectedIndexChanged(object sender, C1ComboBoxEventArgs args)
        {
            
        }

    }

  
}
